from unittest import TestCase
from os.path import isfile, isdir
from pyedev.cmake import (DIR, BUILD_FILE, TOOLCHAIN_FILE, CONFIG_DIR,
                          CONFIG_TEMPLATE_FILE)


class TestPyedevCMake(TestCase):

    def test_cmake(self):
        """Test CMake directory/file paths"""
        self.assertTrue(isdir(DIR))
        self.assertTrue(isfile(BUILD_FILE))
        self.assertTrue(isfile(TOOLCHAIN_FILE))
        self.assertTrue(isdir(CONFIG_DIR))
        self.assertTrue(isfile(CONFIG_TEMPLATE_FILE))
