cmake_minimum_required(VERSION 2.8)

# Include PYEDEV_CONFIG file defined via command line.
include("${PYEDEV_CONFIG}")

# Cross compiling CMake module.
include(CMakeForceCompiler)

# Set system variables.
set(CMAKE_SYSTEM_NAME "Generic")
set(CMAKE_SYSTEM_VERSION "1")

# Force CMake to use toolchain defined in configuration file.
CMAKE_FORCE_C_COMPILER("${PYEDEV_CONFIG_TOOLCHAIN_CC}" GNU)
CMAKE_FORCE_CXX_COMPILER("${PYEDEV_CONFIG_TOOLCHAIN_CXX}" GNU)

# Set the target environment paths.
set(CMAKE_FIND_ROOT_PATH "${PYEDEV_CONFIG_TOOLCHAIN}")
set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
